%define upstream_name    MouseX-NativeTraits
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provides methods for ArrayRef
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mouse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mouse)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
While the Mouse manpage attributes provide a way to name your accessors,
readers, writers, clearers and predicates, MouseX::NativeTraits provides
commonly used attribute helper methods for more specific types of data.

As seen in the the /SYNOPSIS manpage, you specify the data structure via
the 'traits' parameter. These traits will be loaded automatically, so you
need not load MouseX::NativeTraits explicitly.

This extention is compatible with Moose native traits, although it is not a
part of Mouse core.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Apr 03 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 80116
- imported package perl-MouseX-NativeTraits


* Sun Apr 03 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
